

{% extends 'app/base.html' %}

{% load static %}

<head>
    <link rel="stylesheet" href="{% static 'app/css/app.css' %}">
</head>

{% block content %}

    <h3 class="mb-3 mt-2">Blog Homepage</h3>

    <div class="blog-link">
        <a href="{% url 'blog:new_blog'  %}" class="btn custom-btn2 ms-3 mt-2 mb-5">Add new BlogPost</a>
        <a href="{% url 'blog:posts'  %}" class="btn custom-btn2 ms-3 mt-2 mb-5">All BlogPost</a>
    </div>

    <div class="container">
        <div class="table-responsive">
            <table class="table table-bordered custom-table">
                {% for post in latest_posts %}
                    <tr>
                        <td>
                            <h4><a href="{% url 'blog:post_detail' post.id %}" > {{ post.title }}</a></h4>
                            <h5>Created by: {{ post.user.account.name }}</h5>
                            <p>{{ post.text }}</p>
                            <p>Published on: {{ post.publish_date }}</p>
                        </td>
                    </tr>
                {% empty %}
                    <tr>
                        <td colspan="3">No available blog posts</td>
                    </tr>
                {% endfor %}
            </table>
        </div>
    </div>


{% endblock content %}
